| Demo HCI Implementation for WiMOD-LR Devices V2.0.3

Public Attributes | List of all members
TWiMODLR_ProLinkRadioLink_RadioConfig Struct Reference

Structure containing the radio (stack) config parameters of the proprietary LR-BASE stack (only for ProLink) More...

`#include <SAP/WiMOD_SAP_RadioLink_ProLink_IDs.h>`

## Public Attributes
UINT8 | Status
UINT8 | StoreNwmFlag
TRadioCfg_RadioModeProLink | RadioMode
UINT8 | GroupAddress
UINT16 | DeviceAddress
TRadioCfg_ModulationProLink | Modulation
UINT8 | RfFreq_LSB
UINT8 | RfFreq_MID
UINT8 | RfFreq_MSB
TRadioCfg_LoRaBandwidthProLink | LoRaBandWidth
TRadioCfg_LoRaSpreadingFactorProLink | LoRaSpreadingFactor
TRadioCfg_ErrorCodingProLink | ErrorCoding
TRadioCfg_TxPowerLevelProLink | PowerLevel
TRadioCfg_RxControlProLink | RxControl
UINT16 | RxWindowTime
UINT8 | MiscOptions
TRadioCfg_FskDatarateProLink | FskDatarate

## Detailed Description

Structure containing the radio (stack) config parameters of the proprietary LR-BASE stack (only for ProLink)

## Member Data Documentation

## ◆ DeviceAddress

UINT16 TWiMODLR_ProLinkRadioLink_RadioConfig::DeviceAddress

RF device address used for RX

## ◆ ErrorCoding

TRadioCfg_ErrorCodingProLink TWiMODLR_ProLinkRadioLink_RadioConfig::ErrorCoding

Error Coding

## ◆ FskDatarate

TRadioCfg_FskDatarateProLink TWiMODLR_ProLinkRadioLink_RadioConfig::FskDatarate

Datarate setting for the FSK modulation

## ◆ GroupAddress

UINT8 TWiMODLR_ProLinkRadioLink_RadioConfig::GroupAddress

Group address of WiMOD (for RX)

## ◆ LoRaBandWidth

TRadioCfg_LoRaBandwidthProLink TWiMODLR_ProLinkRadioLink_RadioConfig::LoRaBandWidth

Bandwidth setting for the LoRa modulation

## ◆ LoRaSpreadingFactor

TRadioCfg_LoRaSpreadingFactorProLink TWiMODLR_ProLinkRadioLink_RadioConfig::LoRaSpreadingFactor

LoRa Spreading factor

## ◆ MiscOptions

UINT8 TWiMODLR_ProLinkRadioLink_RadioConfig::MiscOptions

misc options field: see PROLINK_RADIOLINK_RADIO_CFG_MISC defines

## ◆ Modulation

TRadioCfg_ModulationProLink TWiMODLR_ProLinkRadioLink_RadioConfig::Modulation

RF Modulation to be used for TX

## ◆ PowerLevel

TRadioCfg_TxPowerLevelProLink TWiMODLR_ProLinkRadioLink_RadioConfig::PowerLevel

Power Level setting

## ◆ RadioMode

TRadioCfg_RadioModeProLink TWiMODLR_ProLinkRadioLink_RadioConfig::RadioMode

Radio Mode setting

## ◆ RfFreq_LSB

UINT8 TWiMODLR_ProLinkRadioLink_RadioConfig::RfFreq_LSB

lower part of the 24bit frequency register of the transceiver

## ◆ RfFreq_MID

UINT8 TWiMODLR_ProLinkRadioLink_RadioConfig::RfFreq_MID

mid part of the 24bit frequency register of the transceiver

## ◆ RfFreq_MSB

UINT8 TWiMODLR_ProLinkRadioLink_RadioConfig::RfFreq_MSB

high part of the 24bit frequency register of the transceiver

## ◆ RxControl

TRadioCfg_RxControlProLink TWiMODLR_ProLinkRadioLink_RadioConfig::RxControl

Options related to RX operations

## ◆ RxWindowTime

UINT16 TWiMODLR_ProLinkRadioLink_RadioConfig::RxWindowTime

Time settings related to the RX Window

## ◆ Status

UINT8 TWiMODLR_ProLinkRadioLink_RadioConfig::Status

Status Flag of HCI get operation; only vaild if config has been requested

## ◆ StoreNwmFlag

UINT8 TWiMODLR_ProLinkRadioLink_RadioConfig::StoreNwmFlag

Store the config in NVM or RAM; 1 = store in NVM

The documentation for this struct was generated from the following file:

- SAP/WiMOD_SAP_RadioLink_ProLink_IDs.h